NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_checkurl(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_checkurl - Checks url for authorization

## Table Of Contents

## Synopsis

- ns_checkurl method url authuser authpasswd ?ipaddr?

## Description

User supplied routine is expected to return OK if authorization is allowed, UNAUTHORIZED if a correct username/passwd could allow authorization, FORBIDDEN if no username/passwd would ever allow access, or ERROR on error.

ns_perm module registers such routine to perform basich HTTP authorization

## COMMANDS

ns_checkurl method url authuser authpasswd ?ipaddr?

## Keywords

ns_perm, ns_requestauthorize